---
title: Create the Statuspage account
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Statuspage Integration
---

# Create the Statuspage account{% #create-the-statuspage-account %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/integration/statuspage/account |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/integration/statuspage/account |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/integration/statuspage/account      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/integration/statuspage/account      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/integration/statuspage/account  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/integration/statuspage/account     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/integration/statuspage/account |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/integration/statuspage/account |

### Overview

Create a Statuspage account for your organization. Only one Statuspage account can be configured per organization. This endpoint requires the `manage_integrations` permission.

### Request

#### Body Data (required)

Statuspage account payload.

{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                                 |
| ------------ | ---------------------------- | ------ | --------------------------------------------------------------------------- |
|              | data [*required*]       | object | Statuspage account data for a create request.                               |
| data         | attributes [*required*] | object | The Statuspage account attributes for a create request.                     |
| attributes   | api_key [*required*]    | string | The Statuspage API key for your Statuspage account.                         |
| data         | type [*required*]       | enum   | Statuspage account resource type. Allowed enum values: `statuspage-account` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "api_key": "00000000-0000-0000-0000-000000000000"
    },
    "type": "statuspage-account"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
CREATED
{% tab title="Model" %}
Response containing a Statuspage account.

| Parent field | Field                        | Type   | Description                                                                              |
| ------------ | ---------------------------- | ------ | ---------------------------------------------------------------------------------------- |
|              | data [*required*]       | object | Statuspage account data from a response.                                                 |
| data         | attributes [*required*] | object | The attributes from a Statuspage account response.                                       |
| attributes   | api_key                      | string | The Statuspage API key for your Statuspage account. The value is always returned masked. |
| data         | type [*required*]       | enum   | Statuspage account resource type. Allowed enum values: `statuspage-account`              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "api_key": "*****"
    },
    "type": "statuspage-account"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/integration/statuspage/account" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "api_key": "00000000-0000-0000-0000-000000000000"
    },
    "type": "statuspage-account"
  }
}
EOF 
                
{% /tab %}
